Subject: I-D Action: draft-shen-soc-avalanche-restart-overload-03.txt

From: [email-masked]
Date: Thu, 15 Dec 2011 11:26:51 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : A Mechanism for Session Initiation Protocol (SIP) Avalanche Restart Overload Control
	Author(s)       : Charles Shen
                          Henning Schulzrinne
                          Arata Koike
	Filename        : draft-shen-soc-avalanche-restart-overload-03.txt
	Pages           : 10
	Date            : 2011-12-15

   When a large number of clients register with a SIP registrar server
   at approximately the same time, the server may become overloaded.
   Near-simultaneous floods of SIP SUBSCRIBE and PUBLISH requests may
   have similar effects.  Such request avalanches can occur, for
   example, after a power failure and recovery in a metropolitan area.
   This document describes how to avoid such overload situations.  Under
   this mechanism, a server estimates an avalanche restart backoff
   interval during its normal operation and conveys this interval to its
   clients through a new Restart-Timer header in normal response
   messages.  Once an avalanche restart actually occurs, the clients
   perform backoff based on the previously received Restart-Timer header
   value before sending out the first request attempt.  Thus, the
   mechanism spreads all the initial client requests and prevents them
   from overloading the server.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-shen-soc-avalanche-restart-overload-03.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-shen-soc-avalanche-restart-overload-03.txt